!
! For looking at the effective N with PDFs.
!
program lda_check_thresh
  use types; use consts_dp; use sub_defs_io
  implicit none
  integer, parameter :: n = 70
  integer  :: i, idev
  real(dp) :: y, dy = 0.1_dp, Q
  real(dp) :: fvals(-6:6), f_v_x(-6:6,0:n), x(0:n)

  ! initialise an LHAPDF set
  call InitPDFsetByName("cteq61.LHgrid")
  call InitPDF(0)

  Q = 100.0_dp
  do i = 0 , n
     x(i) = exp(-dy * i)
     call evolvePDF(x(i), Q, fvals)
     f_v_x(:,i) = fvals
  end do
  
  idev = idev_open_opt('-out')

  ! the following should print out the effective N for different partons...
  do i = 1, n-1
     fvals = (f_v_x(:,i+1)-f_v_x(:,i-1))/(f_v_x(:,i)*two*dy)
     !fvals = f_v_x(:,i)
     write(idev,'(5f20.10)') x(i), fvals(0:2)
  end do
  
  
end program lda_check_thresh
